Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class WorldWindowImpl

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.WorldWindowImpl

All Implemented Interfaces:
  AVList, WWObject, PropertyChangeListener, EventListener

Direct Known Subclasses:
  WorldWindowGLAutoDrawable

    public class WorldWindowImpl

extends WWObjectImpl

An implementation class for the `WorldWindow` interface. Classes implementing `WorldWindow` can subclass or aggreate this object to provide default `WorldWindow` functionality.

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`WorldWindowImpl()`

Method Summary
`Model` | `getModel()`
`SceneController` | `getSceneController()`
`View` | `getView()`
`void` | `setModel(Model model)`
`void` | `setModelAndView(Model model, View view)`
`void` | `setView(View view)`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Constructor Detail

### WorldWindowImpl

    public WorldWindowImpl()

Method Detail

### getModel

    public Model getModel()

### getSceneController

    public SceneController getSceneController()

### getView

    public View getView()

### setModel

    public void setModel(Model model)

### setModelAndView

    public void setModelAndView(Model model,
                                View view)

### setView

    public void setView(View view)

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD